Read DaVinci Flow Execution Counts
POST {{apiPath}}/v1/environments/{{envID}}/metrics/davinci
The POST {{apiPath}}/v1/environments/{{envID}}/metrics/davinci request returns DaVinci flow execution data for the specified environment. The entityType property in the request body must specify DAVINCI_FLOW_EXECUTION_COUNTS to return flow execution data.
Request Model
| Property | Type | Required |
|---|---|---|
|
Object |
Required |
|
String |
Required |
|
Object |
Required |
|
Object |
Required |
|
Object |
Required |
|
Object |
Required |
For full property descriptions, refer to the DaVinci flow activities data model.
Body
raw ( application/json )
{
"entityType": "DAVINCI_FLOW_EXECUTION_COUNTS",
"selectFields": [
"flowId",
"flowVersion",
"isSubflow",
"platformType",
"companyId",
"bucketTimestamp",
"count"
],
"aggregations": [
{
"field": "count",
"aggregatorType": "SUM"
},
{
"field": "count",
"aggregatorType": "AVG"
},
{
"field": "count",
"aggregatorType": "MAX"
}
],
"queryFilters": [
{
"field": "isSubflow",
"operator": "EQUALS",
"values": ["false"]
}
],
"groupBy": [
"flowId",
"flowVersion",
"isSubflow",
"platformType",
"companyId",
"bucketTimestamp",
"count"
],
"orderBy": {
"field": "count",
"sortDirection": "DESC"
}
}
Example Request
-
cURL
-
C#
-
Go
-
HTTP
-
Java
-
jQuery
-
NodeJS
-
Python
-
PHP
-
Ruby
-
Swift
curl --location --globoff '{{apiPath}}/v1/environments/{{envID}}/metrics/davinci' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {{accessToken}}' \
--data '{
"entityType": "DAVINCI_FLOW_EXECUTION_COUNTS",
"selectFields": [
"flowId",
"flowVersion",
"isSubflow",
"platformType",
"companyId",
"bucketTimestamp",
"count"
],
"aggregations": [
{
"field": "count",
"aggregatorType": "SUM"
},
{
"field": "count",
"aggregatorType": "AVG"
},
{
"field": "count",
"aggregatorType": "MAX"
}
],
"queryFilters": [
{
"field": "isSubflow",
"operator": "EQUALS",
"values": ["false"]
}
],
"groupBy": [
"flowId",
"flowVersion",
"isSubflow",
"platformType",
"companyId",
"bucketTimestamp",
"count"
],
"orderBy": {
"field": "count",
"sortDirection": "DESC"
}
}'
var options = new RestClientOptions("{{apiPath}}/v1/environments/{{envID}}/metrics/davinci")
{
MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("", Method.Post);
request.AddHeader("Content-Type", "application/json");
request.AddHeader("Authorization", "Bearer {{accessToken}}");
var body = @"{" + "\n" +
@" ""entityType"": ""DAVINCI_FLOW_EXECUTION_COUNTS""," + "\n" +
@" ""selectFields"": [" + "\n" +
@" ""flowId""," + "\n" +
@" ""flowVersion""," + "\n" +
@" ""isSubflow""," + "\n" +
@" ""platformType""," + "\n" +
@" ""companyId""," + "\n" +
@" ""bucketTimestamp""," + "\n" +
@" ""count""" + "\n" +
@" ]," + "\n" +
@" ""aggregations"": [" + "\n" +
@" {" + "\n" +
@" ""field"": ""count""," + "\n" +
@" ""aggregatorType"": ""SUM""" + "\n" +
@" }," + "\n" +
@" {" + "\n" +
@" ""field"": ""count""," + "\n" +
@" ""aggregatorType"": ""AVG""" + "\n" +
@" }," + "\n" +
@" {" + "\n" +
@" ""field"": ""count""," + "\n" +
@" ""aggregatorType"": ""MAX""" + "\n" +
@" }" + "\n" +
@" ]," + "\n" +
@" ""queryFilters"": [" + "\n" +
@" {" + "\n" +
@" ""field"": ""isSubflow""," + "\n" +
@" ""operator"": ""EQUALS""," + "\n" +
@" ""values"": [""false""]" + "\n" +
@" }" + "\n" +
@" ]," + "\n" +
@" ""groupBy"": [" + "\n" +
@" ""flowId""," + "\n" +
@" ""flowVersion""," + "\n" +
@" ""isSubflow""," + "\n" +
@" ""platformType""," + "\n" +
@" ""companyId""," + "\n" +
@" ""bucketTimestamp""," + "\n" +
@" ""count""" + "\n" +
@" ]," + "\n" +
@" ""orderBy"": {" + "\n" +
@" ""field"": ""count""," + "\n" +
@" ""sortDirection"": ""DESC""" + "\n" +
@" }" + "\n" +
@"}" + "\n" +
@"";
request.AddStringBody(body, DataFormat.Json);
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "{{apiPath}}/v1/environments/{{envID}}/metrics/davinci"
method := "POST"
payload := strings.NewReader(`{
"entityType": "DAVINCI_FLOW_EXECUTION_COUNTS",
"selectFields": [
"flowId",
"flowVersion",
"isSubflow",
"platformType",
"companyId",
"bucketTimestamp",
"count"
],
"aggregations": [
{
"field": "count",
"aggregatorType": "SUM"
},
{
"field": "count",
"aggregatorType": "AVG"
},
{
"field": "count",
"aggregatorType": "MAX"
}
],
"queryFilters": [
{
"field": "isSubflow",
"operator": "EQUALS",
"values": ["false"]
}
],
"groupBy": [
"flowId",
"flowVersion",
"isSubflow",
"platformType",
"companyId",
"bucketTimestamp",
"count"
],
"orderBy": {
"field": "count",
"sortDirection": "DESC"
}
}`)
client := &http.Client {
}
req, err := http.NewRequest(method, url, payload)
if err != nil {
fmt.Println(err)
return
}
req.Header.Add("Content-Type", "application/json")
req.Header.Add("Authorization", "Bearer {{accessToken}}")
res, err := client.Do(req)
if err != nil {
fmt.Println(err)
return
}
defer res.Body.Close()
body, err := io.ReadAll(res.Body)
if err != nil {
fmt.Println(err)
return
}
fmt.Println(string(body))
}
POST /v1/environments/{{envID}}/metrics/davinci HTTP/1.1
Host: {{apiPath}}
Content-Type: application/json
Authorization: Bearer {{accessToken}}
{
"entityType": "DAVINCI_FLOW_EXECUTION_COUNTS",
"selectFields": [
"flowId",
"flowVersion",
"isSubflow",
"platformType",
"companyId",
"bucketTimestamp",
"count"
],
"aggregations": [
{
"field": "count",
"aggregatorType": "SUM"
},
{
"field": "count",
"aggregatorType": "AVG"
},
{
"field": "count",
"aggregatorType": "MAX"
}
],
"queryFilters": [
{
"field": "isSubflow",
"operator": "EQUALS",
"values": ["false"]
}
],
"groupBy": [
"flowId",
"flowVersion",
"isSubflow",
"platformType",
"companyId",
"bucketTimestamp",
"count"
],
"orderBy": {
"field": "count",
"sortDirection": "DESC"
}
}
OkHttpClient client = new OkHttpClient().newBuilder()
.build();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\n \"entityType\": \"DAVINCI_FLOW_EXECUTION_COUNTS\",\n \"selectFields\": [\n \"flowId\",\n \"flowVersion\",\n \"isSubflow\",\n \"platformType\",\n \"companyId\",\n \"bucketTimestamp\",\n \"count\"\n ],\n \"aggregations\": [\n {\n \"field\": \"count\",\n \"aggregatorType\": \"SUM\"\n },\n {\n \"field\": \"count\",\n \"aggregatorType\": \"AVG\"\n },\n {\n \"field\": \"count\",\n \"aggregatorType\": \"MAX\"\n }\n ],\n \"queryFilters\": [\n {\n \"field\": \"isSubflow\",\n \"operator\": \"EQUALS\",\n \"values\": [\"false\"]\n }\n ],\n \"groupBy\": [\n \"flowId\",\n \"flowVersion\",\n \"isSubflow\",\n \"platformType\",\n \"companyId\",\n \"bucketTimestamp\",\n \"count\"\n ],\n \"orderBy\": {\n \"field\": \"count\",\n \"sortDirection\": \"DESC\"\n }\n}\n");
Request request = new Request.Builder()
.url("{{apiPath}}/v1/environments/{{envID}}/metrics/davinci")
.method("POST", body)
.addHeader("Content-Type", "application/json")
.addHeader("Authorization", "Bearer {{accessToken}}")
.build();
Response response = client.newCall(request).execute();
var settings = {
"url": "{{apiPath}}/v1/environments/{{envID}}/metrics/davinci",
"method": "POST",
"timeout": 0,
"headers": {
"Content-Type": "application/json",
"Authorization": "Bearer {{accessToken}}"
},
"data": JSON.stringify({
"entityType": "DAVINCI_FLOW_EXECUTION_COUNTS",
"selectFields": [
"flowId",
"flowVersion",
"isSubflow",
"platformType",
"companyId",
"bucketTimestamp",
"count"
],
"aggregations": [
{
"field": "count",
"aggregatorType": "SUM"
},
{
"field": "count",
"aggregatorType": "AVG"
},
{
"field": "count",
"aggregatorType": "MAX"
}
],
"queryFilters": [
{
"field": "isSubflow",
"operator": "EQUALS",
"values": [
"false"
]
}
],
"groupBy": [
"flowId",
"flowVersion",
"isSubflow",
"platformType",
"companyId",
"bucketTimestamp",
"count"
],
"orderBy": {
"field": "count",
"sortDirection": "DESC"
}
}),
};
$.ajax(settings).done(function (response) {
console.log(response);
});
var request = require('request');
var options = {
'method': 'POST',
'url': '{{apiPath}}/v1/environments/{{envID}}/metrics/davinci',
'headers': {
'Content-Type': 'application/json',
'Authorization': 'Bearer {{accessToken}}'
},
body: JSON.stringify({
"entityType": "DAVINCI_FLOW_EXECUTION_COUNTS",
"selectFields": [
"flowId",
"flowVersion",
"isSubflow",
"platformType",
"companyId",
"bucketTimestamp",
"count"
],
"aggregations": [
{
"field": "count",
"aggregatorType": "SUM"
},
{
"field": "count",
"aggregatorType": "AVG"
},
{
"field": "count",
"aggregatorType": "MAX"
}
],
"queryFilters": [
{
"field": "isSubflow",
"operator": "EQUALS",
"values": [
"false"
]
}
],
"groupBy": [
"flowId",
"flowVersion",
"isSubflow",
"platformType",
"companyId",
"bucketTimestamp",
"count"
],
"orderBy": {
"field": "count",
"sortDirection": "DESC"
}
})
};
request(options, function (error, response) {
if (error) throw new Error(error);
console.log(response.body);
});
import requests
import json
url = "{{apiPath}}/v1/environments/{{envID}}/metrics/davinci"
payload = json.dumps({
"entityType": "DAVINCI_FLOW_EXECUTION_COUNTS",
"selectFields": [
"flowId",
"flowVersion",
"isSubflow",
"platformType",
"companyId",
"bucketTimestamp",
"count"
],
"aggregations": [
{
"field": "count",
"aggregatorType": "SUM"
},
{
"field": "count",
"aggregatorType": "AVG"
},
{
"field": "count",
"aggregatorType": "MAX"
}
],
"queryFilters": [
{
"field": "isSubflow",
"operator": "EQUALS",
"values": [
"false"
]
}
],
"groupBy": [
"flowId",
"flowVersion",
"isSubflow",
"platformType",
"companyId",
"bucketTimestamp",
"count"
],
"orderBy": {
"field": "count",
"sortDirection": "DESC"
}
})
headers = {
'Content-Type': 'application/json',
'Authorization': 'Bearer {{accessToken}}'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
<?php
require_once 'HTTP/Request2.php';
$request = new HTTP_Request2();
$request->setUrl('{{apiPath}}/v1/environments/{{envID}}/metrics/davinci');
$request->setMethod(HTTP_Request2::METHOD_POST);
$request->setConfig(array(
'follow_redirects' => TRUE
));
$request->setHeader(array(
'Content-Type' => 'application/json',
'Authorization' => 'Bearer {{accessToken}}'
));
$request->setBody('{\n "entityType": "DAVINCI_FLOW_EXECUTION_COUNTS",\n "selectFields": [\n "flowId",\n "flowVersion",\n "isSubflow",\n "platformType",\n "companyId",\n "bucketTimestamp",\n "count"\n ],\n "aggregations": [\n {\n "field": "count",\n "aggregatorType": "SUM"\n },\n {\n "field": "count",\n "aggregatorType": "AVG"\n },\n {\n "field": "count",\n "aggregatorType": "MAX"\n }\n ],\n "queryFilters": [\n {\n "field": "isSubflow",\n "operator": "EQUALS",\n "values": ["false"]\n }\n ],\n "groupBy": [\n "flowId",\n "flowVersion",\n "isSubflow",\n "platformType",\n "companyId",\n "bucketTimestamp",\n "count"\n ],\n "orderBy": {\n "field": "count",\n "sortDirection": "DESC"\n }\n}');
try {
$response = $request->send();
if ($response->getStatus() == 200) {
echo $response->getBody();
}
else {
echo 'Unexpected HTTP status: ' . $response->getStatus() . ' ' .
$response->getReasonPhrase();
}
}
catch(HTTP_Request2_Exception $e) {
echo 'Error: ' . $e->getMessage();
}
require "uri"
require "json"
require "net/http"
url = URI("{{apiPath}}/v1/environments/{{envID}}/metrics/davinci")
http = Net::HTTP.new(url.host, url.port);
request = Net::HTTP::Post.new(url)
request["Content-Type"] = "application/json"
request["Authorization"] = "Bearer {{accessToken}}"
request.body = JSON.dump({
"entityType": "DAVINCI_FLOW_EXECUTION_COUNTS",
"selectFields": [
"flowId",
"flowVersion",
"isSubflow",
"platformType",
"companyId",
"bucketTimestamp",
"count"
],
"aggregations": [
{
"field": "count",
"aggregatorType": "SUM"
},
{
"field": "count",
"aggregatorType": "AVG"
},
{
"field": "count",
"aggregatorType": "MAX"
}
],
"queryFilters": [
{
"field": "isSubflow",
"operator": "EQUALS",
"values": [
"false"
]
}
],
"groupBy": [
"flowId",
"flowVersion",
"isSubflow",
"platformType",
"companyId",
"bucketTimestamp",
"count"
],
"orderBy": {
"field": "count",
"sortDirection": "DESC"
}
})
response = http.request(request)
puts response.read_body
let parameters = "{\n \"entityType\": \"DAVINCI_FLOW_EXECUTION_COUNTS\",\n \"selectFields\": [\n \"flowId\",\n \"flowVersion\",\n \"isSubflow\",\n \"platformType\",\n \"companyId\",\n \"bucketTimestamp\",\n \"count\"\n ],\n \"aggregations\": [\n {\n \"field\": \"count\",\n \"aggregatorType\": \"SUM\"\n },\n {\n \"field\": \"count\",\n \"aggregatorType\": \"AVG\"\n },\n {\n \"field\": \"count\",\n \"aggregatorType\": \"MAX\"\n }\n ],\n \"queryFilters\": [\n {\n \"field\": \"isSubflow\",\n \"operator\": \"EQUALS\",\n \"values\": [\"false\"]\n }\n ],\n \"groupBy\": [\n \"flowId\",\n \"flowVersion\",\n \"isSubflow\",\n \"platformType\",\n \"companyId\",\n \"bucketTimestamp\",\n \"count\"\n ],\n \"orderBy\": {\n \"field\": \"count\",\n \"sortDirection\": \"DESC\"\n }\n}"
let postData = parameters.data(using: .utf8)
var request = URLRequest(url: URL(string: "{{apiPath}}/v1/environments/{{envID}}/metrics/davinci")!,timeoutInterval: Double.infinity)
request.addValue("application/json", forHTTPHeaderField: "Content-Type")
request.addValue("Bearer {{accessToken}}", forHTTPHeaderField: "Authorization")
request.httpMethod = "POST"
request.httpBody = postData
let task = URLSession.shared.dataTask(with: request) { data, response, error in
guard let data = data else {
print(String(describing: error))
return
}
print(String(data: data, encoding: .utf8)!)
}
task.resume()
Example Response
200 OK
{
"_links": {
"self": {
"href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/metrics/davinci"
}
},
"results": [
{
"companyId": "abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6",
"avg": "1",
"max": "1",
"platformType": "unknown",
"bucketTimestamp": "2026-07-27 16:00:00.0",
"count": "1",
"flowVersion": "1",
"sum": "2",
"flowId": "5c3beb1c69d6ea0c75a24d0079e00da0",
"isSubflow": "false"
}
],
"count": 1,
"size": 1,
"pagination": {
"limit": 1000,
"hasMoreResults": false
},
"originalRequest": {
"entityType": "DAVINCI_FLOW_EXECUTION_COUNTS",
"environmentId": "abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6",
"selectedFields": [
"flowId",
"flowVersion",
"isSubflow",
"platformType",
"companyId",
"bucketTimestamp",
"count"
],
"aggregations": [
{
"field": "count",
"aggregatorType": "SUM"
},
{
"field": "count",
"aggregatorType": "AVG"
},
{
"field": "count",
"aggregatorType": "MAX"
}
],
"queryFilters": [
{
"field": "isSubflow",
"operator": "EQUALS",
"values": [
"false"
]
}
],
"groupBy": [
"flowId",
"flowVersion",
"isSubflow",
"platformType",
"companyId",
"bucketTimestamp",
"count"
],
"orderBy": {
"field": "count",
"sortDirection": "DESC"
}
},
"createdAt": "2026-07-27T16:12:18.681603033Z"
}